<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		
        let Caja=function(){

               this.color="";
               let ancho=0;
               this.alto=0;
               this.getAncho=function(){
                    return ancho+ "px";
                    }

                 this.setAncho=function(valor){

                       ancho=valor;

                 }    
                 this.getAlto=function(){

                    return this.alto+ "px";

               }

               this.setAlto=function(valor){

               	       this.alto=valor;
               }
                      
                this.getColor=function(){

                 	return this.color;
               } 

               this.setColor=function(valor){
                       
                       this.color=valor;

               }

                  this.pintar=function(selector){
                        
                      let c1;
                       c1=document.querySelector(selector);
                       c1.style.width=this.getAncho();
                       c1.style.height=this.getAlto();
                       c1.style.backgroundColor=this.getColor();

                  }


        };

        let caja1=new Caja();
        let caja2=new Caja();

          caja1.setColor("RED");
          caja1.setAlto(100);
          caja1.setAncho(200);

          caja2.setAncho(100);
          caja2.setAlto(150);
          caja2.setColor("BLUE");

 window.addEventListener("load",function() {

            caja1.pintar(".uno");
            caja2.pintar(".dos");
});



	</script>
</head>
<body>
	<div class="uno">
		Caja1
	</div>

	<div class="dos">
		Caja2
	</div>
</body>
</html>